
QGIS Application - Bug report #15462

Mean coordinates does list all attributes

2016-08-19 06:52 AM - belg4mit -

Status: Closed

Priority: Normal

Assignee: Victor Olaya

Category: Processing/QGIS

Affected QGIS version:2.18.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 23388

Description

The Weights and Unique ID field selectors are only displaying a limited selection of the attributes in my target layer. In particular, it is

excluding the fields that are actually of interest i.e; POP100_RE and ZCTA5CE10 which are of types "POP100_RE,N,10,0" and

"ZCTA5CE10,C,5" respectively in the DBase file.

History

#1 - 2016-08-22 12:22 AM - Alexander Bruy

- Status changed from Open to Feedback

Can you share sample dataset?

#2 - 2016-08-22 07:17 AM - belg4mit -

- File Block_ZCTA.zip added

#3 - 2016-08-23 01:47 AM - Alexander Bruy

I can't reproduce the issue. Field "POP100_RE" listed in both comboboxes. Regarding "ZCTA5CE10" field, it has a "string" datatype and can't be used in

calculations.

#4 - 2016-08-25 09:34 AM - belg4mit -

Was that with 2.16.0? Maybe has it been inadvertently fixed in 2.16.1?

I realize that ZCTA5CE is a string and could not be used for weighting, but it seems reasonable to accept as Unique IDs for partioning.

#5 - 2016-08-25 10:25 AM - belg4mit -

The problem persists for me after upgrading to 2.16.1-2

#6 - 2016-09-16 02:23 AM - Alexander Bruy

Still can't reproduce (tested with 2.16.2 and master). As I said before, field "POP100_RE" listed in both comboboxes.
#7 - 2016-09-16 12:16 PM - belg4mit -

- File MeanCoordFieldFailure-2162.jpg added

I still have this problem with 2.16.2 on Win10 x64.

I'll also note that the aforementioned text fields are still not available for grouping, something that is perfectly sensible and supported by ArcMap.

#8 - 2016-09-17 12:19 AM - Victor Olaya

- Status changed from Feedback to Closed

It is fixed in commit:75269d6

#9 - 2016-09-19 11:21 AM - belg4mit -

- Status changed from Closed to Reopened

I've applied the patch to my installation of 2.16.2 and see no change in behavior;

the population variable is still missing, and both lists present the same options.

#10 - 2016-10-25 03:56 AM - Alexander Bruy

- Status changed from Reopened to Closed

- Resolution set to fixed/implemented

As already said, it is fixed in master

#11 - 2016-10-25 06:26 AM - belg4mit -

- File MeanCoordFieldFailure-21801.jpg added

- Status changed from Closed to Reopened

- Affected QGIS version changed from 2.16.0 to 2.18.0

Alexander Bruy wrote:

As already said, it is fixed in master

An as I said, I applied the patch but it had no effect. I've also tried the latest 2.18.0-1, which has the amended file in it. Same null result.

#12 - 2016-10-25 09:02 AM - Giovanni Manghi

- Status changed from Reopened to Feedback

belg4mit - wrote:

Alexander Bruy wrote:
As already said, it is fixed in master

An as I said, I applied the patch but it had no effect. I've also tried the latest 2.18.0-1, which has the amended file in it. Same null result.

it works fine here with your data on qgis 2.18 on both Windows and Linux.

My bet is that you have a old Processing folder inside ~/-qgis2/python/plugins and that you have patched the version that is shipped in installers, but the

one in the plugins folder masks any other one.

#13 - 2016-10-25 09:57 AM - belg4mit -

Giovanni Manghi wrote:

belg4mit - wrote:

Alexander Bruy wrote:

As already said, it is fixed in master

An as I said, I applied the patch but it had no effect. I've also tried the latest 2.18.0-1, which has the amended file in it. Same null result.

it works fine here with your data on qgis 2.18 on both Windows and Linux.

My bet is that you have a old Processing folder inside ~/-qgis2/python/plugins and that you have patched the version that is shipped in installers, but

the one in the plugins folder masks any other one.

Thank you! That was indeed the problem. Apparently I installed the Processing plugin back in 2.10 or 2.12; FWIW, as can be seen in several of the

screenshots, the old plugin did not have algorithm specific icons. Perhaps the installer could detect/warn users about newly integrated/conflicting plugins?

#14 - 2016-10-25 10:43 AM - Alexander Bruy

- Status changed from Feedback to Closed

Files

MeanCoord.JPG 323 KB 2016-08-19 belg4mit -

Block_ZCTA.zip 138 KB 2016-08-22 belg4mit -

MeanCoordFieldFailure-2162.jpg 283 KB 2016-09-16 belg4mit -

MeanCoordFieldFailure-21801.jpg 257 KB 2016-10-25 belg4mit -
